#ifndef Stepmot_h
#define Stepmot_h

#include "Arduino.h"

class Stepmot
{
  public:
   Stepmot(int pin1, int pin2, int pin3, int pin4, int time);
   void Plateau(int cdeP);
   void Chariot(int cdeC, int sensC);
  private:
   int _pin1;
   int _pin2;
   int _pin3;
   int _pin4;
   int _time;
   int _cdeC;
   int _cdeP;
   int _sensC;
   void Step1();
   void Step2();
   void Step3();
   void Step4(); 
   void Stop();  
};

#endif
